import request from '@/utils/request'

// 查询用户操作历史记录列表
export function listHistory(query) {
  return request({
    url: '/gxt/history/list',
    method: 'get',
    params: query
  })
}

// 查询用户操作历史记录详细
export function getHistory(id) {
  return request({
    url: '/gxt/history/' + id,
    method: 'get'
  })
}

// 新增用户操作历史记录
export function addHistory(data) {
  return request({
    url: '/gxt/history',
    method: 'post',
    data: data
  })
}

// 修改用户操作历史记录
export function updateHistory(data) {
  return request({
    url: '/gxt/history',
    method: 'put',
    data: data
  })
}

// 删除用户操作历史记录
export function delHistory(id) {
  return request({
    url: '/gxt/history/' + id,
    method: 'delete'
  })
}
